ALARM(3)

NAME
alarm - set signal timer alarm

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
unsigned int
alarm(unsigned int seconds);

DESCRIPTION
This interface is made obsolete by setitimer(2).

The alarm() function sets a timer to deliver the signal SIGALRM to the calling process after the specified number of seconds. If an alarm has already been set with alarm() but has not been delivered, another call to alarm() will supersede the prior call. The request alarm(0) voids the current alarm and the signal SIGALRM will not be delivered.

Due to setitimer(2) restriction the maximum number of seconds allowed is 100,000,000.

RETURN VALUES
The return value of alarm() is the amount of time left on the timer from a previous call to alarm(). If no alarm is currently set, the return value is 0.

SEE ALSO
setitimer(2), sigaction(2), sigsuspend(2), signal(3), sleep(3), ualarm(3), usleep(3)

HISTORY
An alarm() system call appeared in the Programmer's Workbench (PWB/UNIX) and was ported to AT&T UNIX. For 4.1cBSD, it was reimplemented as a wrapper around the setitimer(2) system call.